Bug 1472382 - discovery provision endpoint misses the pxe_loader option
discovery provision endpoint misses the pxe_loader option
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: Rahul Bajaj
Roman Plevka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 11:23 EDT by Roman Plevka
Modified: 2017-10-10 09:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: foreman_discovery-9.1.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20337 None None None 2017-09-07 05:41 EDT
Foreman Issue Tracker 21122 None None None 2017-09-27 06:03 EDT

  None (edit)
Description Roman Plevka 2017-07-18 11:23:57 EDT
Description of problem:
API (and CLI) miss the pxe_loader so it is not currently possible to change the pxe-handoff behavior for other variants than PXELINUX-BIOS via API and CLI.

Version-Release number of selected component (if applicable):
# rpm -qa satellite
satellite-6.3.0-16.0.beta.el7sat.noarch
# rpm -qa discovery
# rpm -qa | grep discovery
rubygem-smart_proxy_discovery-1.0.4-3.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_discovery-1.0.0-1.el7sat.noarch
foreman-discovery-image-3.1.1-22.el7sat.noarch
tfm-rubygem-foreman_discovery-9.1.1-1.fm1_15.el7sat.noarch

How reproducible:
always

Actual results:
no pxe_loader parameter => no ability to specify the pxe loader on provisioning  the discovered hosts from API, CLI

Expected results:
option available

Additional info:
Comment 2 Brad Buckingham 2017-07-18 13:13:21 EDT
Lukas, thoughts on this one?  Should it be addressed in 6.3?
Comment 6 Lukas Zapletal 2017-09-22 04:32:44 EDT
Yes we are not there yet, broken tests in discovery upstream. THe other one will be CLI, if needed. Might be only one.
Comment 7 Lukas Zapletal 2017-09-26 02:33:26 EDT
We have a PR fix for unit tests now in discovery, merging today and then will push the PR this week.

https://github.com/theforeman/foreman/pull/4864
Comment 8 Rahul Bajaj 2017-09-27 05:58:23 EDT
@Lukas, will create a redmine issue for the missing CLI and will fix it in the meanwhile time :)
Comment 9 Lukas Zapletal 2017-10-04 03:26:07 EDT
commit 590d811374dea734ea4c23a78c4a2d50bf60cc4d
Author:     Rahul Bajaj <rahulrb0509@gmail.com>
AuthorDate: Wed Sep 6 11:58:53 2017 +0000
Commit:     Lukas Zapletal <lzap+git@redhat.com>
CommitDate: Wed Oct 4 09:12:23 2017 +0200

    Fixes #20337 - Add pxe loader into discovery v2 API

    (cherry picked from commit 38de3404134ad99111c62aa2e2159a0d8bbcddfb)
Comment 10 Roman Plevka 2017-10-10 09:22:04 EDT
VERIFIED
on sat6.3.0-19

tested all options and they correctly deploy files and update dhcp.lease file, pointing the host to the correct loader.

Note You need to log in before you can comment on or make changes to this bug.